package ;


import nme.text.TextField;
import nme.text.TextFieldType;
import nme.display.Sprite;
import nme.display.StageAlign;
import nme.display.StageScaleMode;
import nme.Lib;


/**
 * @author Cedric Lalonde
 */
class TextInputtest extends Sprite {
	
	
	public function new () {
		
		super ();
		
		initialize ();
		loadTextField();
	}
	
	private function loadTextField():Void
	{
		//the TextField.input doesn't exist with NME.
		
		var t:TextField = new TextField();		
		t.input = TextFieldType.INPUT;
		t.border = true;
		addChild(t);
	}
	
	
	private function initialize ():Void {
		
		Lib.current.stage.align = StageAlign.TOP_LEFT;
		Lib.current.stage.scaleMode = StageScaleMode.NO_SCALE;
		
	}
	
	
	
	
	// Entry point
	
	
	
	
	public static function main () {
		
		Lib.current.addChild (new TextInputtest ());
		
	}
	
	
}